Tools
Set a commission rate
Set an affiliate's percentage for future purchases. Enter 10 for 10%. Existing purchases keep the rate and commission saved when they were recorded.
curl https://api.referhatch.com/v1/set_commission_rate \
-H "Authorization: Bearer $API_KEY" \
-d '{"affiliate_id":"your affiliate id","commission_rate":0}'Input
| Field | Type | Description |
|---|---|---|
affiliate_id (required) | string | Affiliate ID in your account. Provide this or a referral code. |
commission_rate (required) | number | Percentage from 0 to 100. Enter 10 for 10%. Up to two decimal places. |
Output
| Field | Type | Description |
|---|---|---|
ok (required) | boolean | |
error | object | |
affiliate | object |